from google.protobuf.internal import containers as _containers
from google.protobuf.internal import enum_type_wrapper as _enum_type_wrapper
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class SnowLoad(_message.Message):
    __slots__ = ("absolute_tolerance_for_node_on_line", "absolute_tolerance_for_objects_on_plane", "comment", "consider_member_eccentricity", "consider_section_distribution", "convert_to_single_objects", "definition_type", "front_gable_roof_corner_nodes", "generated_on", "generating_object_info", "is_generated", "load_distribution_type", "load_zone", "loaded_planes", "lock_for_new_objects", "multi_span_roof_type", "name", "no", "number_of_spans", "rear_gable_roof_corner_nodes", "relative_tolerance_for_node_on_line", "relative_tolerance_for_objects_on_plane", "roof_corner_nodes", "snow_guard", "snow_overhang", "tolerance_type_for_node_on_line", "tolerance_type_for_objects_on_plane", "type", "user_defined_name_enabled", "id_for_export_import", "metadata_for_export_import")
    class DefinitionType(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = ()
        DEFINITION_TYPE_UNKNOWN: _ClassVar[SnowLoad.DefinitionType]
        DEFINITION_TYPE_PARAMETERS_FROM_MAP: _ClassVar[SnowLoad.DefinitionType]
        DEFINITION_TYPE_USER_DEFINED: _ClassVar[SnowLoad.DefinitionType]
    DEFINITION_TYPE_UNKNOWN: SnowLoad.DefinitionType
    DEFINITION_TYPE_PARAMETERS_FROM_MAP: SnowLoad.DefinitionType
    DEFINITION_TYPE_USER_DEFINED: SnowLoad.DefinitionType
    class LoadDistributionType(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = ()
        LOAD_DISTRIBUTION_TYPE_UNKNOWN: _ClassVar[SnowLoad.LoadDistributionType]
        LOAD_DISTRIBUTION_TYPE_TRAPEZOIDAL: _ClassVar[SnowLoad.LoadDistributionType]
    LOAD_DISTRIBUTION_TYPE_UNKNOWN: SnowLoad.LoadDistributionType
    LOAD_DISTRIBUTION_TYPE_TRAPEZOIDAL: SnowLoad.LoadDistributionType
    class LoadZone(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = ()
        LOAD_ZONE_UNKNOWN: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_NOT_DEFINED: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_18_TO_0_38: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_2: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_3: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_39_TO_0_48: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_3_S: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_4: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_49_TO_0_6: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_6: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_61_TO_0_7: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_65: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_7: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_71_TO_0_8: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_75: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_8: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_9: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_9_S: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_0_M: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_10: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_100: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_110: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_120: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_130: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_140: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_15: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_150: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_152: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_155: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_160: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_165: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_166: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_170: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_175: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_180: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_184: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_19: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_190: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_195: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1_0_COMMA: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1_1: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1_1_TO_2_7: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1_2: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1_25: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1_3: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1_4_TO_3_3: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1_5_COMMA: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1_8: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1_A: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1_A_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1_B: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1_TO_2: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_1_V: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_2: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_20: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_200: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_20_9_LESS: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_21: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_210: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_21_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_22: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_220: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_22_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_23: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_230: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_23_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_23_6: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_24: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_240: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_24_2_LESS: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_24_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_24_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_25: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_250: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_25_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_26: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_260: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_26_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_26_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_27: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_270: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_27_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_27_5_LESS: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_28: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_280: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_28_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_28_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_29: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_290: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_29_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_2_0_2_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_2_0_COMMA: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_2_5_2_75: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_2_5_3_0: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_2_5_COMMA: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_2_75_3_0: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_2_75_3_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_2_A: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_2_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_2_ASTERISK_2: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_2_ASTERISK_3: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_2_B: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_2_V: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_3: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_30: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_300: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_30_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_30_8_LESS: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_30_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_31: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_310: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_32: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_320: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_32_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_32_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_33: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_330: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_34: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_340: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_34_1_LESS: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_34_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_35: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_36: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_36_0: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_36_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_37_4_LESS: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_37_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_38: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_38_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_39: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_3_0_3_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_3_0_COMMA: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_3_5_COMMA: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_3_A: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_3_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_3_A_GREATER: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_4: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_40: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_40_7_LESS: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_41_4_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_42: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_42_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_44: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_44_0_LESS: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_44_7: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_45: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_46: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_47: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_47_3_LESS: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_47_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_48: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_4_5_COMMA: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_4_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_50: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_50_6: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_50_6_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_50_6_LESS: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_52: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_54: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_55: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_56: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_56_7: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_57: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_58: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_5_5_COMMA: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_5_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_6: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_60: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_62: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_62_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_64: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_65: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_65_6_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_66: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_67_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_68_1: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_68_1_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_7: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_70: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_73_9: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_7_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_8: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_80: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_80_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_9: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_90: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_A: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_ABOVE_200_M: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_ABOVE_400_M: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_ABOVE_500_M: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_AC: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_ALPINE_N: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_ALPINE_S: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_AN: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_AS: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_AT: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_A_0: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_A_1: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_A_2: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_A_2_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_A_3: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_A_3_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_A_4: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_A_4_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_A_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_A_6: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_A_7: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_B: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_B_1: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_B_2: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_C: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_CS: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_C_1: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_C_2: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_D: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_E: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_GAMMA: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_GAMMA_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_GEQ_8: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_GREATER_38_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_GUADELOUPE: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_GUYANE: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_G_10_0: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_H: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_I: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_II: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_III: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_III_A: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_III_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_III_B: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_II_A: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_II_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_II_B: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_IV: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_IV_B: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_IX: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_I_A: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_I_ASTERISK_A: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_I_ASTERISK_M: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_I_M: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_25: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_30: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_35: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_40: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_45: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_50: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_55: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_6: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_60: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_6_CIRSOC: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_7: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_75: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_8: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_9: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_95: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_10: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_100: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_105: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_110: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_12: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_120: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_130: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_140: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_15: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_150: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_160: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_170: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_18: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_180: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_190: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_1_1: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_1_2_CIRSOC: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_1_75: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_20: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_200: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_21: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_210: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_220: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_24: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_240: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_265: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_27: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_2_25: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_2_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_2_75: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_30: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_32_1: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_3_2: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_3_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_40: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_42: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_44: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_46: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_48: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_4_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_50: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_500: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_60: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_6_5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_70: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_80: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_843: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_90: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_95: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_MARTINIQUE: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_MAYOTTE: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_MEQ_0_7: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_M_1: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_N1: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_N2: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_N3: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_N4: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_N5: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_NZ_1: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_NZ_2: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_NZ_3: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_NZ_4: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_N_A: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_REUNION: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_SR: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_UNDER_200_M: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_V: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_VI: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_VII: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_VIII: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_VI_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_V_ASTERISK: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_V_B: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_W: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_Z1: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_Z2: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_Z3: _ClassVar[SnowLoad.LoadZone]
        LOAD_ZONE_TYPE_ZERO: _ClassVar[SnowLoad.LoadZone]
    LOAD_ZONE_UNKNOWN: SnowLoad.LoadZone
    LOAD_ZONE_NOT_DEFINED: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_18_TO_0_38: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_2: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_3: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_39_TO_0_48: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_3_S: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_4: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_49_TO_0_6: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_6: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_61_TO_0_7: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_65: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_7: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_71_TO_0_8: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_75: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_8: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_9: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_9_S: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_0_M: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_10: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_100: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_110: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_120: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_130: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_140: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_15: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_150: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_152: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_155: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_160: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_165: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_166: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_170: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_175: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_180: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_184: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_19: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_190: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_195: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1_0_COMMA: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1_1: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1_1_TO_2_7: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1_2: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1_25: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1_3: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1_4_TO_3_3: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1_5_COMMA: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1_8: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1_A: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1_A_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1_B: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1_TO_2: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_1_V: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_2: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_20: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_200: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_20_9_LESS: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_21: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_210: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_21_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_22: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_220: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_22_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_23: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_230: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_23_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_23_6: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_24: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_240: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_24_2_LESS: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_24_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_24_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_25: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_250: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_25_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_26: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_260: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_26_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_26_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_27: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_270: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_27_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_27_5_LESS: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_28: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_280: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_28_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_28_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_29: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_290: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_29_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_2_0_2_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_2_0_COMMA: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_2_5_2_75: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_2_5_3_0: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_2_5_COMMA: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_2_75_3_0: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_2_75_3_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_2_A: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_2_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_2_ASTERISK_2: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_2_ASTERISK_3: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_2_B: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_2_V: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_3: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_30: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_300: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_30_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_30_8_LESS: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_30_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_31: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_310: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_32: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_320: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_32_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_32_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_33: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_330: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_34: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_340: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_34_1_LESS: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_34_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_35: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_36: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_36_0: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_36_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_37_4_LESS: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_37_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_38: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_38_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_39: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_3_0_3_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_3_0_COMMA: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_3_5_COMMA: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_3_A: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_3_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_3_A_GREATER: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_4: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_40: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_40_7_LESS: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_41_4_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_42: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_42_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_44: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_44_0_LESS: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_44_7: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_45: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_46: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_47: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_47_3_LESS: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_47_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_48: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_4_5_COMMA: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_4_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_50: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_50_6: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_50_6_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_50_6_LESS: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_52: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_54: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_55: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_56: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_56_7: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_57: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_58: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_5_5_COMMA: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_5_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_6: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_60: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_62: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_62_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_64: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_65: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_65_6_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_66: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_67_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_68_1: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_68_1_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_7: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_70: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_73_9: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_7_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_8: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_80: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_80_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_9: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_90: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_A: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_ABOVE_200_M: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_ABOVE_400_M: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_ABOVE_500_M: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_AC: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_ALPINE_N: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_ALPINE_S: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_AN: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_AS: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_AT: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_A_0: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_A_1: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_A_2: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_A_2_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_A_3: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_A_3_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_A_4: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_A_4_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_A_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_A_6: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_A_7: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_B: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_B_1: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_B_2: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_C: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_CS: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_C_1: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_C_2: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_D: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_E: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_GAMMA: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_GAMMA_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_GEQ_8: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_GREATER_38_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_GUADELOUPE: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_GUYANE: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_G_10_0: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_H: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_I: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_II: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_III: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_III_A: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_III_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_III_B: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_II_A: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_II_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_II_B: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_IV: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_IV_B: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_IX: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_I_A: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_I_ASTERISK_A: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_I_ASTERISK_M: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_I_M: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_25: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_30: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_35: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_40: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_45: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_50: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_55: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_6: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_60: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_6_CIRSOC: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_7: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_75: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_8: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_9: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_95: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_10: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_100: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_105: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_110: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_12: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_120: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_130: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_140: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_15: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_150: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_160: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_170: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_18: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_180: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_190: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_1_1: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_1_2_CIRSOC: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_1_75: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_20: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_200: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_21: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_210: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_220: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_24: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_240: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_265: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_27: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_2_25: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_2_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_2_75: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_30: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_32_1: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_3_2: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_3_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_40: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_42: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_44: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_46: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_48: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_4_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_50: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_500: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_60: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_6_5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_70: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_80: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_843: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_90: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_95: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_MARTINIQUE: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_MAYOTTE: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_MEQ_0_7: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_M_1: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_N1: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_N2: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_N3: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_N4: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_N5: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_NZ_1: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_NZ_2: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_NZ_3: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_NZ_4: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_N_A: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_REUNION: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_SR: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_UNDER_200_M: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_V: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_VI: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_VII: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_VIII: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_VI_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_V_ASTERISK: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_V_B: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_W: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_Z1: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_Z2: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_Z3: SnowLoad.LoadZone
    LOAD_ZONE_TYPE_ZERO: SnowLoad.LoadZone
    class MultiSpanRoofType(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = ()
        MULTI_SPAN_ROOF_TYPE_MONOPITCH: _ClassVar[SnowLoad.MultiSpanRoofType]
        MULTI_SPAN_ROOF_TYPE_DUOPITCH: _ClassVar[SnowLoad.MultiSpanRoofType]
    MULTI_SPAN_ROOF_TYPE_MONOPITCH: SnowLoad.MultiSpanRoofType
    MULTI_SPAN_ROOF_TYPE_DUOPITCH: SnowLoad.MultiSpanRoofType
    class ToleranceTypeForNodeOnLine(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = ()
        TOLERANCE_TYPE_FOR_NODE_ON_LINE_ABSOLUTE: _ClassVar[SnowLoad.ToleranceTypeForNodeOnLine]
        TOLERANCE_TYPE_FOR_NODE_ON_LINE_RELATIVE: _ClassVar[SnowLoad.ToleranceTypeForNodeOnLine]
    TOLERANCE_TYPE_FOR_NODE_ON_LINE_ABSOLUTE: SnowLoad.ToleranceTypeForNodeOnLine
    TOLERANCE_TYPE_FOR_NODE_ON_LINE_RELATIVE: SnowLoad.ToleranceTypeForNodeOnLine
    class ToleranceTypeForObjectsOnPlane(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = ()
        TOLERANCE_TYPE_FOR_OBJECTS_ON_PLANE_ABSOLUTE: _ClassVar[SnowLoad.ToleranceTypeForObjectsOnPlane]
        TOLERANCE_TYPE_FOR_OBJECTS_ON_PLANE_RELATIVE: _ClassVar[SnowLoad.ToleranceTypeForObjectsOnPlane]
    TOLERANCE_TYPE_FOR_OBJECTS_ON_PLANE_ABSOLUTE: SnowLoad.ToleranceTypeForObjectsOnPlane
    TOLERANCE_TYPE_FOR_OBJECTS_ON_PLANE_RELATIVE: SnowLoad.ToleranceTypeForObjectsOnPlane
    class Type(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = ()
        TYPE_UNKNOWN: _ClassVar[SnowLoad.Type]
        TYPE_DUOPITCH: _ClassVar[SnowLoad.Type]
        TYPE_MONOPITCH: _ClassVar[SnowLoad.Type]
    TYPE_UNKNOWN: SnowLoad.Type
    TYPE_DUOPITCH: SnowLoad.Type
    TYPE_MONOPITCH: SnowLoad.Type
    class GeneratedOnTable(_message.Message):
        __slots__ = ("rows",)
        ROWS_FIELD_NUMBER: _ClassVar[int]
        rows: _containers.RepeatedCompositeFieldContainer[SnowLoad.GeneratedOnRow]
        def __init__(self, rows: _Optional[_Iterable[_Union[SnowLoad.GeneratedOnRow, _Mapping]]] = ...) -> None: ...
    class GeneratedOnRow(_message.Message):
        __slots__ = ("no", "description", "type", "loaded_objects", "objects_without_loads", "objects_without_loads_parallel_to")
        NO_FIELD_NUMBER: _ClassVar[int]
        DESCRIPTION_FIELD_NUMBER: _ClassVar[int]
        TYPE_FIELD_NUMBER: _ClassVar[int]
        LOADED_OBJECTS_FIELD_NUMBER: _ClassVar[int]
        OBJECTS_WITHOUT_LOADS_FIELD_NUMBER: _ClassVar[int]
        OBJECTS_WITHOUT_LOADS_PARALLEL_TO_FIELD_NUMBER: _ClassVar[int]
        no: int
        description: str
        type: str
        loaded_objects: _containers.RepeatedScalarFieldContainer[int]
        objects_without_loads: _containers.RepeatedScalarFieldContainer[int]
        objects_without_loads_parallel_to: _containers.RepeatedScalarFieldContainer[int]
        def __init__(self, no: _Optional[int] = ..., description: _Optional[str] = ..., type: _Optional[str] = ..., loaded_objects: _Optional[_Iterable[int]] = ..., objects_without_loads: _Optional[_Iterable[int]] = ..., objects_without_loads_parallel_to: _Optional[_Iterable[int]] = ...) -> None: ...
    class LoadedPlanesTable(_message.Message):
        __slots__ = ("rows",)
        ROWS_FIELD_NUMBER: _ClassVar[int]
        rows: _containers.RepeatedCompositeFieldContainer[SnowLoad.LoadedPlanesRow]
        def __init__(self, rows: _Optional[_Iterable[_Union[SnowLoad.LoadedPlanesRow, _Mapping]]] = ...) -> None: ...
    class LoadedPlanesRow(_message.Message):
        __slots__ = ("no", "description", "checked", "name", "nodes", "area", "pitch", "rise")
        NO_FIELD_NUMBER: _ClassVar[int]
        DESCRIPTION_FIELD_NUMBER: _ClassVar[int]
        CHECKED_FIELD_NUMBER: _ClassVar[int]
        NAME_FIELD_NUMBER: _ClassVar[int]
        NODES_FIELD_NUMBER: _ClassVar[int]
        AREA_FIELD_NUMBER: _ClassVar[int]
        PITCH_FIELD_NUMBER: _ClassVar[int]
        RISE_FIELD_NUMBER: _ClassVar[int]
        no: int
        description: str
        checked: bool
        name: str
        nodes: str
        area: float
        pitch: float
        rise: float
        def __init__(self, no: _Optional[int] = ..., description: _Optional[str] = ..., checked: bool = ..., name: _Optional[str] = ..., nodes: _Optional[str] = ..., area: _Optional[float] = ..., pitch: _Optional[float] = ..., rise: _Optional[float] = ...) -> None: ...
    ABSOLUTE_TOLERANCE_FOR_NODE_ON_LINE_FIELD_NUMBER: _ClassVar[int]
    ABSOLUTE_TOLERANCE_FOR_OBJECTS_ON_PLANE_FIELD_NUMBER: _ClassVar[int]
    COMMENT_FIELD_NUMBER: _ClassVar[int]
    CONSIDER_MEMBER_ECCENTRICITY_FIELD_NUMBER: _ClassVar[int]
    CONSIDER_SECTION_DISTRIBUTION_FIELD_NUMBER: _ClassVar[int]
    CONVERT_TO_SINGLE_OBJECTS_FIELD_NUMBER: _ClassVar[int]
    DEFINITION_TYPE_FIELD_NUMBER: _ClassVar[int]
    FRONT_GABLE_ROOF_CORNER_NODES_FIELD_NUMBER: _ClassVar[int]
    GENERATED_ON_FIELD_NUMBER: _ClassVar[int]
    GENERATING_OBJECT_INFO_FIELD_NUMBER: _ClassVar[int]
    IS_GENERATED_FIELD_NUMBER: _ClassVar[int]
    LOAD_DISTRIBUTION_TYPE_FIELD_NUMBER: _ClassVar[int]
    LOAD_ZONE_FIELD_NUMBER: _ClassVar[int]
    LOADED_PLANES_FIELD_NUMBER: _ClassVar[int]
    LOCK_FOR_NEW_OBJECTS_FIELD_NUMBER: _ClassVar[int]
    MULTI_SPAN_ROOF_TYPE_FIELD_NUMBER: _ClassVar[int]
    NAME_FIELD_NUMBER: _ClassVar[int]
    NO_FIELD_NUMBER: _ClassVar[int]
    NUMBER_OF_SPANS_FIELD_NUMBER: _ClassVar[int]
    REAR_GABLE_ROOF_CORNER_NODES_FIELD_NUMBER: _ClassVar[int]
    RELATIVE_TOLERANCE_FOR_NODE_ON_LINE_FIELD_NUMBER: _ClassVar[int]
    RELATIVE_TOLERANCE_FOR_OBJECTS_ON_PLANE_FIELD_NUMBER: _ClassVar[int]
    ROOF_CORNER_NODES_FIELD_NUMBER: _ClassVar[int]
    SNOW_GUARD_FIELD_NUMBER: _ClassVar[int]
    SNOW_OVERHANG_FIELD_NUMBER: _ClassVar[int]
    TOLERANCE_TYPE_FOR_NODE_ON_LINE_FIELD_NUMBER: _ClassVar[int]
    TOLERANCE_TYPE_FOR_OBJECTS_ON_PLANE_FIELD_NUMBER: _ClassVar[int]
    TYPE_FIELD_NUMBER: _ClassVar[int]
    USER_DEFINED_NAME_ENABLED_FIELD_NUMBER: _ClassVar[int]
    ID_FOR_EXPORT_IMPORT_FIELD_NUMBER: _ClassVar[int]
    METADATA_FOR_EXPORT_IMPORT_FIELD_NUMBER: _ClassVar[int]
    absolute_tolerance_for_node_on_line: float
    absolute_tolerance_for_objects_on_plane: float
    comment: str
    consider_member_eccentricity: bool
    consider_section_distribution: bool
    convert_to_single_objects: bool
    definition_type: SnowLoad.DefinitionType
    front_gable_roof_corner_nodes: _containers.RepeatedScalarFieldContainer[int]
    generated_on: SnowLoad.GeneratedOnTable
    generating_object_info: str
    is_generated: bool
    load_distribution_type: SnowLoad.LoadDistributionType
    load_zone: SnowLoad.LoadZone
    loaded_planes: SnowLoad.LoadedPlanesTable
    lock_for_new_objects: bool
    multi_span_roof_type: SnowLoad.MultiSpanRoofType
    name: str
    no: int
    number_of_spans: int
    rear_gable_roof_corner_nodes: _containers.RepeatedScalarFieldContainer[int]
    relative_tolerance_for_node_on_line: float
    relative_tolerance_for_objects_on_plane: float
    roof_corner_nodes: _containers.RepeatedScalarFieldContainer[int]
    snow_guard: bool
    snow_overhang: bool
    tolerance_type_for_node_on_line: SnowLoad.ToleranceTypeForNodeOnLine
    tolerance_type_for_objects_on_plane: SnowLoad.ToleranceTypeForObjectsOnPlane
    type: SnowLoad.Type
    user_defined_name_enabled: bool
    id_for_export_import: str
    metadata_for_export_import: str
    def __init__(self, absolute_tolerance_for_node_on_line: _Optional[float] = ..., absolute_tolerance_for_objects_on_plane: _Optional[float] = ..., comment: _Optional[str] = ..., consider_member_eccentricity: bool = ..., consider_section_distribution: bool = ..., convert_to_single_objects: bool = ..., definition_type: _Optional[_Union[SnowLoad.DefinitionType, str]] = ..., front_gable_roof_corner_nodes: _Optional[_Iterable[int]] = ..., generated_on: _Optional[_Union[SnowLoad.GeneratedOnTable, _Mapping]] = ..., generating_object_info: _Optional[str] = ..., is_generated: bool = ..., load_distribution_type: _Optional[_Union[SnowLoad.LoadDistributionType, str]] = ..., load_zone: _Optional[_Union[SnowLoad.LoadZone, str]] = ..., loaded_planes: _Optional[_Union[SnowLoad.LoadedPlanesTable, _Mapping]] = ..., lock_for_new_objects: bool = ..., multi_span_roof_type: _Optional[_Union[SnowLoad.MultiSpanRoofType, str]] = ..., name: _Optional[str] = ..., no: _Optional[int] = ..., number_of_spans: _Optional[int] = ..., rear_gable_roof_corner_nodes: _Optional[_Iterable[int]] = ..., relative_tolerance_for_node_on_line: _Optional[float] = ..., relative_tolerance_for_objects_on_plane: _Optional[float] = ..., roof_corner_nodes: _Optional[_Iterable[int]] = ..., snow_guard: bool = ..., snow_overhang: bool = ..., tolerance_type_for_node_on_line: _Optional[_Union[SnowLoad.ToleranceTypeForNodeOnLine, str]] = ..., tolerance_type_for_objects_on_plane: _Optional[_Union[SnowLoad.ToleranceTypeForObjectsOnPlane, str]] = ..., type: _Optional[_Union[SnowLoad.Type, str]] = ..., user_defined_name_enabled: bool = ..., id_for_export_import: _Optional[str] = ..., metadata_for_export_import: _Optional[str] = ...) -> None: ...
