from google.protobuf.internal import containers as _containers
from google.protobuf.internal import enum_type_wrapper as _enum_type_wrapper
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class WindLoad(_message.Message):
    __slots__ = ("absolute_tolerance_for_node_on_line", "absolute_tolerance_for_objects_on_plane", "base_corner_nodes", "comment", "consider_member_eccentricity", "consider_section_distribution", "convert_to_single_objects", "definition_type", "generated_on", "generating_object_info", "is_generated", "load_zone", "loaded_planes", "lock_for_new_objects", "name", "no", "relative_tolerance_for_node_on_line", "relative_tolerance_for_objects_on_plane", "roof_corner_nodes", "tolerance_type_for_node_on_line", "tolerance_type_for_objects_on_plane", "type", "user_defined_name_enabled", "id_for_export_import", "metadata_for_export_import")
    class DefinitionType(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = ()
        DEFINITION_TYPE_UNKNOWN: _ClassVar[WindLoad.DefinitionType]
        DEFINITION_TYPE_PARAMETERS_FROM_MAP: _ClassVar[WindLoad.DefinitionType]
        DEFINITION_TYPE_USER_DEFINED: _ClassVar[WindLoad.DefinitionType]
    DEFINITION_TYPE_UNKNOWN: WindLoad.DefinitionType
    DEFINITION_TYPE_PARAMETERS_FROM_MAP: WindLoad.DefinitionType
    DEFINITION_TYPE_USER_DEFINED: WindLoad.DefinitionType
    class LoadZone(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = ()
        LOAD_ZONE_UNKNOWN: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_NOT_DEFINED: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_18_TO_0_38: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_2: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_3: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_39_TO_0_48: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_3_S: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_4: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_49_TO_0_6: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_6: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_61_TO_0_7: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_65: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_7: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_71_TO_0_8: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_75: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_8: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_9: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_9_S: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_0_M: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_10: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_100: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_110: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_120: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_130: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_140: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_15: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_150: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_152: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_155: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_160: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_165: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_166: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_170: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_175: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_180: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_184: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_19: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_190: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_195: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1_0_COMMA: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1_1: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1_1_TO_2_7: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1_2: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1_25: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1_3: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1_4_TO_3_3: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1_5_COMMA: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1_8: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1_A: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1_A_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1_B: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1_TO_2: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_1_V: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_2: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_20: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_200: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_20_9_LESS: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_21: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_210: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_21_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_22: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_220: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_22_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_23: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_230: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_23_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_23_6: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_24: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_240: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_24_2_LESS: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_24_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_24_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_25: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_250: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_25_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_26: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_260: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_26_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_26_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_27: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_270: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_27_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_27_5_LESS: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_28: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_280: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_28_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_28_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_29: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_290: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_29_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_2_0_2_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_2_0_COMMA: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_2_5_2_75: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_2_5_3_0: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_2_5_COMMA: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_2_75_3_0: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_2_75_3_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_2_A: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_2_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_2_ASTERISK_2: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_2_ASTERISK_3: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_2_B: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_2_V: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_3: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_30: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_300: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_30_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_30_8_LESS: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_30_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_31: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_310: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_32: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_320: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_32_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_32_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_33: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_330: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_34: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_340: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_34_1_LESS: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_34_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_35: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_36: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_36_0: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_36_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_37_4_LESS: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_37_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_38: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_38_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_39: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_3_0_3_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_3_0_COMMA: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_3_5_COMMA: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_3_A: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_3_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_3_A_GREATER: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_4: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_40: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_40_7_LESS: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_41_4_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_42: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_42_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_44: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_44_0_LESS: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_44_7: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_45: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_46: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_47: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_47_3_LESS: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_47_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_48: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_4_5_COMMA: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_4_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_50: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_50_6: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_50_6_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_50_6_LESS: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_52: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_54: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_55: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_56: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_56_7: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_57: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_58: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_5_5_COMMA: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_5_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_6: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_60: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_62: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_62_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_64: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_65: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_65_6_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_66: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_67_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_68_1: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_68_1_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_7: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_70: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_73_9: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_7_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_8: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_80: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_80_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_9: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_90: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_A: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_ABOVE_200_M: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_ABOVE_400_M: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_ABOVE_500_M: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_AC: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_ALPINE_N: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_ALPINE_S: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_AN: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_AS: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_AT: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_A_0: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_A_1: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_A_2: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_A_2_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_A_3: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_A_3_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_A_4: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_A_4_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_A_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_A_6: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_A_7: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_B: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_B_1: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_B_2: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_C: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_CS: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_C_1: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_C_2: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_D: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_E: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_GAMMA: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_GAMMA_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_GEQ_8: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_GREATER_38_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_GUADELOUPE: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_GUYANE: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_G_10_0: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_H: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_I: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_II: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_III: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_III_A: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_III_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_III_B: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_II_A: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_II_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_II_B: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_IV: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_IV_B: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_IX: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_I_A: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_I_ASTERISK_A: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_I_ASTERISK_M: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_I_M: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_25: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_30: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_35: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_40: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_45: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_50: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_55: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_6: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_60: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_6_CIRSOC: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_7: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_75: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_8: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_9: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_0_95: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_10: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_100: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_105: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_110: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_12: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_120: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_130: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_140: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_15: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_150: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_160: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_170: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_18: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_180: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_190: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_1_1: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_1_2_CIRSOC: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_1_75: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_20: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_200: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_21: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_210: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_220: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_24: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_240: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_265: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_27: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_2_25: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_2_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_2_75: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_30: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_32_1: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_3_2: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_3_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_40: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_42: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_44: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_46: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_48: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_4_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_50: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_500: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_60: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_6_5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_70: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_80: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_843: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_90: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_LEQ_95: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_MARTINIQUE: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_MAYOTTE: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_MEQ_0_7: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_M_1: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_N1: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_N2: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_N3: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_N4: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_N5: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_NZ_1: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_NZ_2: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_NZ_3: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_NZ_4: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_N_A: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_REUNION: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_SR: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_UNDER_200_M: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_V: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_VI: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_VII: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_VIII: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_VI_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_V_ASTERISK: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_V_B: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_W: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_Z1: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_Z2: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_Z3: _ClassVar[WindLoad.LoadZone]
        LOAD_ZONE_TYPE_ZERO: _ClassVar[WindLoad.LoadZone]
    LOAD_ZONE_UNKNOWN: WindLoad.LoadZone
    LOAD_ZONE_NOT_DEFINED: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_18_TO_0_38: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_2: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_3: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_39_TO_0_48: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_3_S: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_4: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_49_TO_0_6: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_6: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_61_TO_0_7: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_65: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_7: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_71_TO_0_8: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_75: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_8: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_9: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_9_S: WindLoad.LoadZone
    LOAD_ZONE_TYPE_0_M: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1: WindLoad.LoadZone
    LOAD_ZONE_TYPE_10: WindLoad.LoadZone
    LOAD_ZONE_TYPE_100: WindLoad.LoadZone
    LOAD_ZONE_TYPE_110: WindLoad.LoadZone
    LOAD_ZONE_TYPE_120: WindLoad.LoadZone
    LOAD_ZONE_TYPE_130: WindLoad.LoadZone
    LOAD_ZONE_TYPE_140: WindLoad.LoadZone
    LOAD_ZONE_TYPE_15: WindLoad.LoadZone
    LOAD_ZONE_TYPE_150: WindLoad.LoadZone
    LOAD_ZONE_TYPE_152: WindLoad.LoadZone
    LOAD_ZONE_TYPE_155: WindLoad.LoadZone
    LOAD_ZONE_TYPE_160: WindLoad.LoadZone
    LOAD_ZONE_TYPE_165: WindLoad.LoadZone
    LOAD_ZONE_TYPE_166: WindLoad.LoadZone
    LOAD_ZONE_TYPE_170: WindLoad.LoadZone
    LOAD_ZONE_TYPE_175: WindLoad.LoadZone
    LOAD_ZONE_TYPE_180: WindLoad.LoadZone
    LOAD_ZONE_TYPE_184: WindLoad.LoadZone
    LOAD_ZONE_TYPE_19: WindLoad.LoadZone
    LOAD_ZONE_TYPE_190: WindLoad.LoadZone
    LOAD_ZONE_TYPE_195: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1_0_COMMA: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1_1: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1_1_TO_2_7: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1_2: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1_25: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1_3: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1_4_TO_3_3: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1_5_COMMA: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1_8: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1_A: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1_A_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1_B: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1_TO_2: WindLoad.LoadZone
    LOAD_ZONE_TYPE_1_V: WindLoad.LoadZone
    LOAD_ZONE_TYPE_2: WindLoad.LoadZone
    LOAD_ZONE_TYPE_20: WindLoad.LoadZone
    LOAD_ZONE_TYPE_200: WindLoad.LoadZone
    LOAD_ZONE_TYPE_20_9_LESS: WindLoad.LoadZone
    LOAD_ZONE_TYPE_21: WindLoad.LoadZone
    LOAD_ZONE_TYPE_210: WindLoad.LoadZone
    LOAD_ZONE_TYPE_21_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_22: WindLoad.LoadZone
    LOAD_ZONE_TYPE_220: WindLoad.LoadZone
    LOAD_ZONE_TYPE_22_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_23: WindLoad.LoadZone
    LOAD_ZONE_TYPE_230: WindLoad.LoadZone
    LOAD_ZONE_TYPE_23_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_23_6: WindLoad.LoadZone
    LOAD_ZONE_TYPE_24: WindLoad.LoadZone
    LOAD_ZONE_TYPE_240: WindLoad.LoadZone
    LOAD_ZONE_TYPE_24_2_LESS: WindLoad.LoadZone
    LOAD_ZONE_TYPE_24_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_24_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_25: WindLoad.LoadZone
    LOAD_ZONE_TYPE_250: WindLoad.LoadZone
    LOAD_ZONE_TYPE_25_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_26: WindLoad.LoadZone
    LOAD_ZONE_TYPE_260: WindLoad.LoadZone
    LOAD_ZONE_TYPE_26_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_26_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_27: WindLoad.LoadZone
    LOAD_ZONE_TYPE_270: WindLoad.LoadZone
    LOAD_ZONE_TYPE_27_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_27_5_LESS: WindLoad.LoadZone
    LOAD_ZONE_TYPE_28: WindLoad.LoadZone
    LOAD_ZONE_TYPE_280: WindLoad.LoadZone
    LOAD_ZONE_TYPE_28_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_28_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_29: WindLoad.LoadZone
    LOAD_ZONE_TYPE_290: WindLoad.LoadZone
    LOAD_ZONE_TYPE_29_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_2_0_2_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_2_0_COMMA: WindLoad.LoadZone
    LOAD_ZONE_TYPE_2_5_2_75: WindLoad.LoadZone
    LOAD_ZONE_TYPE_2_5_3_0: WindLoad.LoadZone
    LOAD_ZONE_TYPE_2_5_COMMA: WindLoad.LoadZone
    LOAD_ZONE_TYPE_2_75_3_0: WindLoad.LoadZone
    LOAD_ZONE_TYPE_2_75_3_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_2_A: WindLoad.LoadZone
    LOAD_ZONE_TYPE_2_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_2_ASTERISK_2: WindLoad.LoadZone
    LOAD_ZONE_TYPE_2_ASTERISK_3: WindLoad.LoadZone
    LOAD_ZONE_TYPE_2_B: WindLoad.LoadZone
    LOAD_ZONE_TYPE_2_V: WindLoad.LoadZone
    LOAD_ZONE_TYPE_3: WindLoad.LoadZone
    LOAD_ZONE_TYPE_30: WindLoad.LoadZone
    LOAD_ZONE_TYPE_300: WindLoad.LoadZone
    LOAD_ZONE_TYPE_30_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_30_8_LESS: WindLoad.LoadZone
    LOAD_ZONE_TYPE_30_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_31: WindLoad.LoadZone
    LOAD_ZONE_TYPE_310: WindLoad.LoadZone
    LOAD_ZONE_TYPE_32: WindLoad.LoadZone
    LOAD_ZONE_TYPE_320: WindLoad.LoadZone
    LOAD_ZONE_TYPE_32_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_32_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_33: WindLoad.LoadZone
    LOAD_ZONE_TYPE_330: WindLoad.LoadZone
    LOAD_ZONE_TYPE_34: WindLoad.LoadZone
    LOAD_ZONE_TYPE_340: WindLoad.LoadZone
    LOAD_ZONE_TYPE_34_1_LESS: WindLoad.LoadZone
    LOAD_ZONE_TYPE_34_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_35: WindLoad.LoadZone
    LOAD_ZONE_TYPE_36: WindLoad.LoadZone
    LOAD_ZONE_TYPE_36_0: WindLoad.LoadZone
    LOAD_ZONE_TYPE_36_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_37_4_LESS: WindLoad.LoadZone
    LOAD_ZONE_TYPE_37_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_38: WindLoad.LoadZone
    LOAD_ZONE_TYPE_38_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_39: WindLoad.LoadZone
    LOAD_ZONE_TYPE_3_0_3_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_3_0_COMMA: WindLoad.LoadZone
    LOAD_ZONE_TYPE_3_5_COMMA: WindLoad.LoadZone
    LOAD_ZONE_TYPE_3_A: WindLoad.LoadZone
    LOAD_ZONE_TYPE_3_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_3_A_GREATER: WindLoad.LoadZone
    LOAD_ZONE_TYPE_4: WindLoad.LoadZone
    LOAD_ZONE_TYPE_40: WindLoad.LoadZone
    LOAD_ZONE_TYPE_40_7_LESS: WindLoad.LoadZone
    LOAD_ZONE_TYPE_41_4_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_42: WindLoad.LoadZone
    LOAD_ZONE_TYPE_42_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_44: WindLoad.LoadZone
    LOAD_ZONE_TYPE_44_0_LESS: WindLoad.LoadZone
    LOAD_ZONE_TYPE_44_7: WindLoad.LoadZone
    LOAD_ZONE_TYPE_45: WindLoad.LoadZone
    LOAD_ZONE_TYPE_46: WindLoad.LoadZone
    LOAD_ZONE_TYPE_47: WindLoad.LoadZone
    LOAD_ZONE_TYPE_47_3_LESS: WindLoad.LoadZone
    LOAD_ZONE_TYPE_47_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_48: WindLoad.LoadZone
    LOAD_ZONE_TYPE_4_5_COMMA: WindLoad.LoadZone
    LOAD_ZONE_TYPE_4_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_50: WindLoad.LoadZone
    LOAD_ZONE_TYPE_50_6: WindLoad.LoadZone
    LOAD_ZONE_TYPE_50_6_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_50_6_LESS: WindLoad.LoadZone
    LOAD_ZONE_TYPE_52: WindLoad.LoadZone
    LOAD_ZONE_TYPE_54: WindLoad.LoadZone
    LOAD_ZONE_TYPE_55: WindLoad.LoadZone
    LOAD_ZONE_TYPE_56: WindLoad.LoadZone
    LOAD_ZONE_TYPE_56_7: WindLoad.LoadZone
    LOAD_ZONE_TYPE_57: WindLoad.LoadZone
    LOAD_ZONE_TYPE_58: WindLoad.LoadZone
    LOAD_ZONE_TYPE_5_5_COMMA: WindLoad.LoadZone
    LOAD_ZONE_TYPE_5_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_6: WindLoad.LoadZone
    LOAD_ZONE_TYPE_60: WindLoad.LoadZone
    LOAD_ZONE_TYPE_62: WindLoad.LoadZone
    LOAD_ZONE_TYPE_62_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_64: WindLoad.LoadZone
    LOAD_ZONE_TYPE_65: WindLoad.LoadZone
    LOAD_ZONE_TYPE_65_6_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_66: WindLoad.LoadZone
    LOAD_ZONE_TYPE_67_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_68_1: WindLoad.LoadZone
    LOAD_ZONE_TYPE_68_1_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_7: WindLoad.LoadZone
    LOAD_ZONE_TYPE_70: WindLoad.LoadZone
    LOAD_ZONE_TYPE_73_9: WindLoad.LoadZone
    LOAD_ZONE_TYPE_7_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_8: WindLoad.LoadZone
    LOAD_ZONE_TYPE_80: WindLoad.LoadZone
    LOAD_ZONE_TYPE_80_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_9: WindLoad.LoadZone
    LOAD_ZONE_TYPE_90: WindLoad.LoadZone
    LOAD_ZONE_TYPE_A: WindLoad.LoadZone
    LOAD_ZONE_TYPE_ABOVE_200_M: WindLoad.LoadZone
    LOAD_ZONE_TYPE_ABOVE_400_M: WindLoad.LoadZone
    LOAD_ZONE_TYPE_ABOVE_500_M: WindLoad.LoadZone
    LOAD_ZONE_TYPE_AC: WindLoad.LoadZone
    LOAD_ZONE_TYPE_ALPINE_N: WindLoad.LoadZone
    LOAD_ZONE_TYPE_ALPINE_S: WindLoad.LoadZone
    LOAD_ZONE_TYPE_AN: WindLoad.LoadZone
    LOAD_ZONE_TYPE_AS: WindLoad.LoadZone
    LOAD_ZONE_TYPE_AT: WindLoad.LoadZone
    LOAD_ZONE_TYPE_A_0: WindLoad.LoadZone
    LOAD_ZONE_TYPE_A_1: WindLoad.LoadZone
    LOAD_ZONE_TYPE_A_2: WindLoad.LoadZone
    LOAD_ZONE_TYPE_A_2_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_A_3: WindLoad.LoadZone
    LOAD_ZONE_TYPE_A_3_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_A_4: WindLoad.LoadZone
    LOAD_ZONE_TYPE_A_4_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_A_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_A_6: WindLoad.LoadZone
    LOAD_ZONE_TYPE_A_7: WindLoad.LoadZone
    LOAD_ZONE_TYPE_B: WindLoad.LoadZone
    LOAD_ZONE_TYPE_B_1: WindLoad.LoadZone
    LOAD_ZONE_TYPE_B_2: WindLoad.LoadZone
    LOAD_ZONE_TYPE_C: WindLoad.LoadZone
    LOAD_ZONE_TYPE_CS: WindLoad.LoadZone
    LOAD_ZONE_TYPE_C_1: WindLoad.LoadZone
    LOAD_ZONE_TYPE_C_2: WindLoad.LoadZone
    LOAD_ZONE_TYPE_D: WindLoad.LoadZone
    LOAD_ZONE_TYPE_E: WindLoad.LoadZone
    LOAD_ZONE_TYPE_GAMMA: WindLoad.LoadZone
    LOAD_ZONE_TYPE_GAMMA_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_GEQ_8: WindLoad.LoadZone
    LOAD_ZONE_TYPE_GREATER_38_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_GUADELOUPE: WindLoad.LoadZone
    LOAD_ZONE_TYPE_GUYANE: WindLoad.LoadZone
    LOAD_ZONE_TYPE_G_10_0: WindLoad.LoadZone
    LOAD_ZONE_TYPE_H: WindLoad.LoadZone
    LOAD_ZONE_TYPE_I: WindLoad.LoadZone
    LOAD_ZONE_TYPE_II: WindLoad.LoadZone
    LOAD_ZONE_TYPE_III: WindLoad.LoadZone
    LOAD_ZONE_TYPE_III_A: WindLoad.LoadZone
    LOAD_ZONE_TYPE_III_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_III_B: WindLoad.LoadZone
    LOAD_ZONE_TYPE_II_A: WindLoad.LoadZone
    LOAD_ZONE_TYPE_II_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_II_B: WindLoad.LoadZone
    LOAD_ZONE_TYPE_IV: WindLoad.LoadZone
    LOAD_ZONE_TYPE_IV_B: WindLoad.LoadZone
    LOAD_ZONE_TYPE_IX: WindLoad.LoadZone
    LOAD_ZONE_TYPE_I_A: WindLoad.LoadZone
    LOAD_ZONE_TYPE_I_ASTERISK_A: WindLoad.LoadZone
    LOAD_ZONE_TYPE_I_ASTERISK_M: WindLoad.LoadZone
    LOAD_ZONE_TYPE_I_M: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_25: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_30: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_35: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_40: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_45: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_50: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_55: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_6: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_60: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_6_CIRSOC: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_7: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_75: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_8: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_9: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_0_95: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_10: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_100: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_105: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_110: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_12: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_120: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_130: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_140: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_15: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_150: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_160: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_170: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_18: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_180: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_190: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_1_1: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_1_2_CIRSOC: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_1_75: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_20: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_200: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_21: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_210: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_220: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_24: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_240: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_265: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_27: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_2_25: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_2_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_2_75: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_30: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_32_1: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_3_2: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_3_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_40: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_42: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_44: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_46: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_48: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_4_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_50: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_500: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_60: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_6_5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_70: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_80: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_843: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_90: WindLoad.LoadZone
    LOAD_ZONE_TYPE_LEQ_95: WindLoad.LoadZone
    LOAD_ZONE_TYPE_MARTINIQUE: WindLoad.LoadZone
    LOAD_ZONE_TYPE_MAYOTTE: WindLoad.LoadZone
    LOAD_ZONE_TYPE_MEQ_0_7: WindLoad.LoadZone
    LOAD_ZONE_TYPE_M_1: WindLoad.LoadZone
    LOAD_ZONE_TYPE_N1: WindLoad.LoadZone
    LOAD_ZONE_TYPE_N2: WindLoad.LoadZone
    LOAD_ZONE_TYPE_N3: WindLoad.LoadZone
    LOAD_ZONE_TYPE_N4: WindLoad.LoadZone
    LOAD_ZONE_TYPE_N5: WindLoad.LoadZone
    LOAD_ZONE_TYPE_NZ_1: WindLoad.LoadZone
    LOAD_ZONE_TYPE_NZ_2: WindLoad.LoadZone
    LOAD_ZONE_TYPE_NZ_3: WindLoad.LoadZone
    LOAD_ZONE_TYPE_NZ_4: WindLoad.LoadZone
    LOAD_ZONE_TYPE_N_A: WindLoad.LoadZone
    LOAD_ZONE_TYPE_REUNION: WindLoad.LoadZone
    LOAD_ZONE_TYPE_SR: WindLoad.LoadZone
    LOAD_ZONE_TYPE_UNDER_200_M: WindLoad.LoadZone
    LOAD_ZONE_TYPE_V: WindLoad.LoadZone
    LOAD_ZONE_TYPE_VI: WindLoad.LoadZone
    LOAD_ZONE_TYPE_VII: WindLoad.LoadZone
    LOAD_ZONE_TYPE_VIII: WindLoad.LoadZone
    LOAD_ZONE_TYPE_VI_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_V_ASTERISK: WindLoad.LoadZone
    LOAD_ZONE_TYPE_V_B: WindLoad.LoadZone
    LOAD_ZONE_TYPE_W: WindLoad.LoadZone
    LOAD_ZONE_TYPE_Z1: WindLoad.LoadZone
    LOAD_ZONE_TYPE_Z2: WindLoad.LoadZone
    LOAD_ZONE_TYPE_Z3: WindLoad.LoadZone
    LOAD_ZONE_TYPE_ZERO: WindLoad.LoadZone
    class ToleranceTypeForNodeOnLine(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = ()
        TOLERANCE_TYPE_FOR_NODE_ON_LINE_ABSOLUTE: _ClassVar[WindLoad.ToleranceTypeForNodeOnLine]
        TOLERANCE_TYPE_FOR_NODE_ON_LINE_RELATIVE: _ClassVar[WindLoad.ToleranceTypeForNodeOnLine]
    TOLERANCE_TYPE_FOR_NODE_ON_LINE_ABSOLUTE: WindLoad.ToleranceTypeForNodeOnLine
    TOLERANCE_TYPE_FOR_NODE_ON_LINE_RELATIVE: WindLoad.ToleranceTypeForNodeOnLine
    class ToleranceTypeForObjectsOnPlane(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = ()
        TOLERANCE_TYPE_FOR_OBJECTS_ON_PLANE_ABSOLUTE: _ClassVar[WindLoad.ToleranceTypeForObjectsOnPlane]
        TOLERANCE_TYPE_FOR_OBJECTS_ON_PLANE_RELATIVE: _ClassVar[WindLoad.ToleranceTypeForObjectsOnPlane]
    TOLERANCE_TYPE_FOR_OBJECTS_ON_PLANE_ABSOLUTE: WindLoad.ToleranceTypeForObjectsOnPlane
    TOLERANCE_TYPE_FOR_OBJECTS_ON_PLANE_RELATIVE: WindLoad.ToleranceTypeForObjectsOnPlane
    class Type(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = ()
        TYPE_UNKNOWN: _ClassVar[WindLoad.Type]
        TYPE_ROOF_DUOPITCH: _ClassVar[WindLoad.Type]
        TYPE_ROOF_MONOPITCH: _ClassVar[WindLoad.Type]
        TYPE_WALLS_ROOF_DUOPITCH: _ClassVar[WindLoad.Type]
        TYPE_WALLS_ROOF_MONOPITCH: _ClassVar[WindLoad.Type]
    TYPE_UNKNOWN: WindLoad.Type
    TYPE_ROOF_DUOPITCH: WindLoad.Type
    TYPE_ROOF_MONOPITCH: WindLoad.Type
    TYPE_WALLS_ROOF_DUOPITCH: WindLoad.Type
    TYPE_WALLS_ROOF_MONOPITCH: WindLoad.Type
    class GeneratedOnTable(_message.Message):
        __slots__ = ("rows",)
        ROWS_FIELD_NUMBER: _ClassVar[int]
        rows: _containers.RepeatedCompositeFieldContainer[WindLoad.GeneratedOnRow]
        def __init__(self, rows: _Optional[_Iterable[_Union[WindLoad.GeneratedOnRow, _Mapping]]] = ...) -> None: ...
    class GeneratedOnRow(_message.Message):
        __slots__ = ("no", "description", "type", "loaded_objects", "objects_without_loads", "objects_without_loads_parallel_to")
        NO_FIELD_NUMBER: _ClassVar[int]
        DESCRIPTION_FIELD_NUMBER: _ClassVar[int]
        TYPE_FIELD_NUMBER: _ClassVar[int]
        LOADED_OBJECTS_FIELD_NUMBER: _ClassVar[int]
        OBJECTS_WITHOUT_LOADS_FIELD_NUMBER: _ClassVar[int]
        OBJECTS_WITHOUT_LOADS_PARALLEL_TO_FIELD_NUMBER: _ClassVar[int]
        no: int
        description: str
        type: str
        loaded_objects: _containers.RepeatedScalarFieldContainer[int]
        objects_without_loads: _containers.RepeatedScalarFieldContainer[int]
        objects_without_loads_parallel_to: _containers.RepeatedScalarFieldContainer[int]
        def __init__(self, no: _Optional[int] = ..., description: _Optional[str] = ..., type: _Optional[str] = ..., loaded_objects: _Optional[_Iterable[int]] = ..., objects_without_loads: _Optional[_Iterable[int]] = ..., objects_without_loads_parallel_to: _Optional[_Iterable[int]] = ...) -> None: ...
    class LoadedPlanesTable(_message.Message):
        __slots__ = ("rows",)
        ROWS_FIELD_NUMBER: _ClassVar[int]
        rows: _containers.RepeatedCompositeFieldContainer[WindLoad.LoadedPlanesRow]
        def __init__(self, rows: _Optional[_Iterable[_Union[WindLoad.LoadedPlanesRow, _Mapping]]] = ...) -> None: ...
    class LoadedPlanesRow(_message.Message):
        __slots__ = ("no", "description", "checked", "name", "nodes", "area", "pitch", "rise")
        NO_FIELD_NUMBER: _ClassVar[int]
        DESCRIPTION_FIELD_NUMBER: _ClassVar[int]
        CHECKED_FIELD_NUMBER: _ClassVar[int]
        NAME_FIELD_NUMBER: _ClassVar[int]
        NODES_FIELD_NUMBER: _ClassVar[int]
        AREA_FIELD_NUMBER: _ClassVar[int]
        PITCH_FIELD_NUMBER: _ClassVar[int]
        RISE_FIELD_NUMBER: _ClassVar[int]
        no: int
        description: str
        checked: bool
        name: str
        nodes: str
        area: float
        pitch: float
        rise: float
        def __init__(self, no: _Optional[int] = ..., description: _Optional[str] = ..., checked: bool = ..., name: _Optional[str] = ..., nodes: _Optional[str] = ..., area: _Optional[float] = ..., pitch: _Optional[float] = ..., rise: _Optional[float] = ...) -> None: ...
    ABSOLUTE_TOLERANCE_FOR_NODE_ON_LINE_FIELD_NUMBER: _ClassVar[int]
    ABSOLUTE_TOLERANCE_FOR_OBJECTS_ON_PLANE_FIELD_NUMBER: _ClassVar[int]
    BASE_CORNER_NODES_FIELD_NUMBER: _ClassVar[int]
    COMMENT_FIELD_NUMBER: _ClassVar[int]
    CONSIDER_MEMBER_ECCENTRICITY_FIELD_NUMBER: _ClassVar[int]
    CONSIDER_SECTION_DISTRIBUTION_FIELD_NUMBER: _ClassVar[int]
    CONVERT_TO_SINGLE_OBJECTS_FIELD_NUMBER: _ClassVar[int]
    DEFINITION_TYPE_FIELD_NUMBER: _ClassVar[int]
    GENERATED_ON_FIELD_NUMBER: _ClassVar[int]
    GENERATING_OBJECT_INFO_FIELD_NUMBER: _ClassVar[int]
    IS_GENERATED_FIELD_NUMBER: _ClassVar[int]
    LOAD_ZONE_FIELD_NUMBER: _ClassVar[int]
    LOADED_PLANES_FIELD_NUMBER: _ClassVar[int]
    LOCK_FOR_NEW_OBJECTS_FIELD_NUMBER: _ClassVar[int]
    NAME_FIELD_NUMBER: _ClassVar[int]
    NO_FIELD_NUMBER: _ClassVar[int]
    RELATIVE_TOLERANCE_FOR_NODE_ON_LINE_FIELD_NUMBER: _ClassVar[int]
    RELATIVE_TOLERANCE_FOR_OBJECTS_ON_PLANE_FIELD_NUMBER: _ClassVar[int]
    ROOF_CORNER_NODES_FIELD_NUMBER: _ClassVar[int]
    TOLERANCE_TYPE_FOR_NODE_ON_LINE_FIELD_NUMBER: _ClassVar[int]
    TOLERANCE_TYPE_FOR_OBJECTS_ON_PLANE_FIELD_NUMBER: _ClassVar[int]
    TYPE_FIELD_NUMBER: _ClassVar[int]
    USER_DEFINED_NAME_ENABLED_FIELD_NUMBER: _ClassVar[int]
    ID_FOR_EXPORT_IMPORT_FIELD_NUMBER: _ClassVar[int]
    METADATA_FOR_EXPORT_IMPORT_FIELD_NUMBER: _ClassVar[int]
    absolute_tolerance_for_node_on_line: float
    absolute_tolerance_for_objects_on_plane: float
    base_corner_nodes: _containers.RepeatedScalarFieldContainer[int]
    comment: str
    consider_member_eccentricity: bool
    consider_section_distribution: bool
    convert_to_single_objects: bool
    definition_type: WindLoad.DefinitionType
    generated_on: WindLoad.GeneratedOnTable
    generating_object_info: str
    is_generated: bool
    load_zone: WindLoad.LoadZone
    loaded_planes: WindLoad.LoadedPlanesTable
    lock_for_new_objects: bool
    name: str
    no: int
    relative_tolerance_for_node_on_line: float
    relative_tolerance_for_objects_on_plane: float
    roof_corner_nodes: _containers.RepeatedScalarFieldContainer[int]
    tolerance_type_for_node_on_line: WindLoad.ToleranceTypeForNodeOnLine
    tolerance_type_for_objects_on_plane: WindLoad.ToleranceTypeForObjectsOnPlane
    type: WindLoad.Type
    user_defined_name_enabled: bool
    id_for_export_import: str
    metadata_for_export_import: str
    def __init__(self, absolute_tolerance_for_node_on_line: _Optional[float] = ..., absolute_tolerance_for_objects_on_plane: _Optional[float] = ..., base_corner_nodes: _Optional[_Iterable[int]] = ..., comment: _Optional[str] = ..., consider_member_eccentricity: bool = ..., consider_section_distribution: bool = ..., convert_to_single_objects: bool = ..., definition_type: _Optional[_Union[WindLoad.DefinitionType, str]] = ..., generated_on: _Optional[_Union[WindLoad.GeneratedOnTable, _Mapping]] = ..., generating_object_info: _Optional[str] = ..., is_generated: bool = ..., load_zone: _Optional[_Union[WindLoad.LoadZone, str]] = ..., loaded_planes: _Optional[_Union[WindLoad.LoadedPlanesTable, _Mapping]] = ..., lock_for_new_objects: bool = ..., name: _Optional[str] = ..., no: _Optional[int] = ..., relative_tolerance_for_node_on_line: _Optional[float] = ..., relative_tolerance_for_objects_on_plane: _Optional[float] = ..., roof_corner_nodes: _Optional[_Iterable[int]] = ..., tolerance_type_for_node_on_line: _Optional[_Union[WindLoad.ToleranceTypeForNodeOnLine, str]] = ..., tolerance_type_for_objects_on_plane: _Optional[_Union[WindLoad.ToleranceTypeForObjectsOnPlane, str]] = ..., type: _Optional[_Union[WindLoad.Type, str]] = ..., user_defined_name_enabled: bool = ..., id_for_export_import: _Optional[str] = ..., metadata_for_export_import: _Optional[str] = ...) -> None: ...
